Reference record for OID 1.3.6.1.4.1.231.2.60.6.4.6.2.1.7

Parent
1.3.6.1.4.1.231.2.60.6.4.6.2.1 (hpiSensorEntry)
Node code
7
Node name
hpiSensorEventCtrl
Numeric OID
1.3.6.1.4.1.231.2.60.6.4.6.2.1.7
URN notation
urn:oid:1.3.6.1.4.1.231.2.60.6.4.6.2.1.7
ASN.1 notation

{1 3 6 1 4 1 231 2 60 6 4 6 2 1 7}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) sni(231) sniProductMibs(2) fscHpi(60) fscHpiBMIB(6) hpiResources(4) hpiSensor(6) hpiSensorTable(2) hpiSensorEntry(1) hpiSensorEventCtrl(7)}
OID-IRI notation
  • /1/3/6/1/4/1/231/2/60/6/4/6/2/1/7
  • /ISO/Identified-Organization/6/1/4/1/231/2/60/6/4/6/2/1/7
  • /ISO/3/6/1/4/1/231/2/60/6/4/6/2/1/7
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/identified-organization/dod/internet/private/enterprises/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/identified-organization/dod/internet/private/vendor-objects/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/org/dod/internet/private/enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/org/dod/internet/private/enterprises/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/org/dod/internet/private/ldap-enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/org/dod/internet/private/vendor-objects/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-identified-organization/dod/internet/private/enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-identified-organization/dod/internet/private/enterprises/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-organization/dod/internet/private/enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-organization/dod/internet/private/enterprises/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl
  • /iso/iso-organization/dod/internet/private/vendor-objects/sni/sniProductMibs/fscHpi/fscHpiBMIB/hpiResources/hpiSensor/hpiSensorTable/hpiSensorEntry/hpiSensorEventCtrl

Descriptions

hpiSensorEventCtrl — Reviewed vendor MIB copies in Fujitsu ServerView, Fujitsu / Siemens native MIB archives

perEvent(1) Event message control per event, or by entire sensor; sensor event enable Status can be changed, and assert/deassert masks can be changed. readOnlyMasks(2): Control for entire sensor only; sensor event enable status can be changed, but assert/deassert masks cannot be changed. readOnly(3): Event control not supported; sensor event enable status cannot be changed and ssert/deassert masks cannot be changed. Note: Enumerated values are increased by one value compared to SAI-HPI-B spec.

Source records

hpiSensorEventCtrl

Status in source: mandatory.

Names: hpiSensorEventCtrl

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "hpiSensorEventCtrl",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "{",
    "undefined",
    "(",
    "0",
    ")",
    ",",
    "perEvent",
    "(",
    "1",
    ")",
    ",",
    "readOnlyMasks",
    "(",
    "2",
    ")",
    ",",
    "readOnly",
    "(",
    "3",
    ")",
    "}",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"perEvent(1) Event message control per event, or by entire sensor; sensor event enable Status can be changed, and assert/deassert masks can be changed. readOnlyMasks(2): Control for entire sensor only; sensor event enable status can be changed, but assert/deassert masks cannot be changed. readOnly(3): Event control not supported; sensor event enable status cannot be changed and ssert/deassert masks cannot be changed. Note: Enumerated values are increased by one value compared to SAI-HPI-B spec.\"",
    "::=",
    "{",
    "hpiSensorEntry",
    "7",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "enumSpec",
        [
          [
            "undefined",
            0
          ],
          [
            "perEvent",
            1
          ],
          [
            "readOnlyMasks",
            2
          ],
          [
            "readOnly",
            3
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "perEvent(1) Event message control per event, or by entire sensor; sensor event enable Status can be changed, and assert/deassert masks can be changed. readOnlyMasks(2): Control for entire sensor only; sensor event enable status can be changed, but assert/deassert masks cannot be changed. readOnly(3): Event control not supported; sensor event enable status cannot be changed and ssert/deassert masks cannot be changed. Note: Enumerated values are increased by one value compared to SAI-HPI-B spec."
    ],
    null,
    null,
    null,
    null
  ]
}
  • Fujitsu / Siemens native MIB archives · Publisher's source file: FSC-HPI-MIB — archive MIB indexed for Fujitsu

    Vendor MIB copy from the MibBrowser.online archive. Fujitsu support.

    Module: FSC-HPI-MIB

    Published definition
    hpiSensorEventCtrl 	OBJECT-TYPE
    	SYNTAX INTEGER {
                                   undefined (0),
                                   perEvent (1),
                                   readOnlyMasks (2),
                                   readOnly (3)
                            }
    	ACCESS read-write
    	STATUS mandatory
    	DESCRIPTION
    		"perEvent(1) Event message control per event,
    		 or by entire sensor; sensor event enable
    		 Status can be changed, and assert/deassert
    		 masks can be changed.
    		 readOnlyMasks(2): Control for entire sensor only; sensor
    		 event enable status can be changed, but
    		 assert/deassert masks cannot be changed.
    		 readOnly(3): Event control not supported; sensor event
    		 enable status cannot be changed and
    		 ssert/deassert masks cannot be changed.
    		 Note: Enumerated values are increased by one value compared to
    		 SAI-HPI-B spec."
    	::= { hpiSensorEntry 7 }
    Module imports
    {'RFC1155-SMI': ['enterprises', 'Gauge', 'Counter', 'IpAddress', 'TimeTicks'], 'RFC1212-MIB': ['OBJECT-TYPE'], 'RFC1215-MIB': ['TRAP-TYPE']}
    · Download FSC-HPI-MIB — archive MIB indexed for Fujitsu

    Related source files and packages:

    • RFC1155-SMI — dependency MIB (MibBrowser.online)Native third-party archive dependency for Fujitsu MIB imports; authorship is not attributed to that manufacturer; Copy from MibBrowser.online; Publisher Last-Modified: Sun, 01 Oct 2023 19:21:04 GMT; 3,067 bytes
    • RFC1212-MIB — dependency MIB (MibBrowser.online)Native third-party archive dependency for Fujitsu MIB imports; authorship is not attributed to that manufacturer; Copy from MibBrowser.online; Publisher Last-Modified: Sun, 01 Oct 2023 19:21:03 GMT; 2,714 bytes
    • RFC1215-MIB — dependency MIB (MibBrowser.online)Native third-party archive dependency for Fujitsu MIB imports; authorship is not attributed to that manufacturer; Copy from MibBrowser.online; Publisher Last-Modified: Sun, 01 Oct 2023 19:21:10 GMT; 3,883 bytes

    Source location: FSC-HPI-MIB::hpiSensorEventCtrl.
    Source version and references

    Published package: Fujitsu archived MIB undated archived revision; file: FSC-HPI-MIB.mib.

    Native third-party archive copy; vendor association comes from the archive catalog and does not establish a current manufacturer release; Copy from MibBrowser.online; Publisher Last-Modified: Sun, 01 Oct 2023 19:21:19 GMT; 254,618 bytes

    Downloaded: 2026-10-27T05:14:00.089151+00:00.

  • Reviewed vendor MIB copies in Fujitsu ServerView · Publisher's source file: Source package: SNMPMIBs.zip

    Module: FSC-HPI-MIB

    Published definition
    hpiSensorEventCtrl 	OBJECT-TYPE
    	SYNTAX INTEGER {
                                   undefined (0),
                                   perEvent (1),
                                   readOnlyMasks (2),
                                   readOnly (3)
                            }
    	ACCESS read-write
    	STATUS mandatory
    	DESCRIPTION
    		"perEvent(1) Event message control per event,
    		 or by entire sensor; sensor event enable
    		 Status can be changed, and assert/deassert
    		 masks can be changed.
    		 readOnlyMasks(2): Control for entire sensor only; sensor
    		 event enable status can be changed, but
    		 assert/deassert masks cannot be changed.
    		 readOnly(3): Event control not supported; sensor event
    		 enable status cannot be changed and
    		 ssert/deassert masks cannot be changed.
    		 Note: Enumerated values are increased by one value compared to
    		 SAI-HPI-B spec."
    	::= { hpiSensorEntry 7 }
    Module imports
    {'RFC1212': ['OBJECT-TYPE'], 'RFC1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'Gauge', 'Counter', 'IpAddress', 'TimeTicks']}

    Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.

    · Download ServerView MIB copy — HPI-MIBV1.mib (saved edition 1)

    Related source files and packages:


    Source location: FSC-HPI-MIB::hpiSensorEventCtrl.
    Source version and references

    Module FSC-HPI-MIB; IANA enterprise number(s) 231. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 254,610 bytes

    Downloaded: 2026-11-03T06:22:27.387034+00:00.

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.231)

Rothe Detlef

Siblings (11)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.231.2.60.6.4.6.2.1.1 hpiSensorType00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.2 hpiSensorCtrl00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.3 hpiSensorEnable00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.4 hpiSensorEventIsSupported00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.5 hpiSensorEventCurrState00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.6 hpiSensorEventCat00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.8 hpiSensorEventEnable00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.9 hpiSensorReadingIsSupported00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.10 hpiSensorRangeSupported00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.11 hpiSensorThresholdIsAccessible00
1.3.6.1.4.1.231.2.60.6.4.6.2.1.12 hpiSensorOem00